# Awesome Stock Resources [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

![Introductory images](/img/splash.jpg)

> A curated list of awesome  stock photography, video and illustration websites.

I try my best to maintain this repository and keep it up-to-date but if you spot a broken link or a resource which isn't listed, please, feel free to make a pull request.

## Table of Contents

* [Photography](#photography)
  * [CC0-license](#cc0-license)
  * [Custom License / Usage](#custom-license--usage)
  * [Public Domain](#public-domain)
  * [Attribution required licenses](#attribution-required-licenses)
  * [Unspecified License](#unspecified-license)
* [Illustration](#illustration)
* [Vector Graphics](#vector-graphics)
* [Videos](#videos)
* [Patterns](#patterns)
* [Fonts](#fonts)
* [Icons](#icons)
  * [Icon Fonts](#icon-fonts)
  * [Icons Packages and Collections](#icons-packages-and-collections)
* [Colors](#colors)
* [Aggregated Content](#aggregated-content)
* [HTML Templates](#html-templates)
* [Sounds & Music](#sounds--music)
* [Paid Resources](#paid-resources)
* [How to Contribute](#how-to-contribute)
* [How to Share](#how-to-share)
* [Donate](#donate-heart)
* [License](#license)

## Photography

### CC0-license

All the resources below have specifically specified that their content is [:copyright: CC0-licensed](https://creativecommons.org/publicdomain/zero/1.0/).

* [Alana](http://alana.io/) - Free “use how you want” stock photos.
* [Barn Images](http://barnimages.com/) - Barn Images offers you a collection of free high-resolution non-stock photography.
* [Boss Fight!](http://bossfight.co) - 10–20 new images added daily.
* [CC0 Photo](http://cc0.photo/) - CC0.photo is a project initiated by Raffael Herrmann, which serves you with free photos.
* [Creative Vix](http://creativevix.com/stock) - A wide range of photos for you to use.
* [Crow the Stone](http://crowthestone.com/) - Free photos to use any way you want.
* [Cupcake](http://cupcake.nilssonlee.se/) - Free do what ever you want photos by [Jonas Nilsson Lee](https://twitter.com/nilsson_jonas).
* [Epicantus](http://epicantus.tumblr.com/) - Hi-resolution photos added every week.
* [Fancy Crave](http://fancycrave.com/) - Two new images added every day.
* [FindA.Photo](http://finda.photo/) - search through thousands of CC0 photos by keyword and color.
* [Free Nature Stock](http://freenaturestock.com/) - Royalty-free, use them however you want, Nature Stock Photos.
* [Free-Images.cc](http://www.free-images.cc/) - Create something awesome with free CC0 images.
* [Furious Camera](http://furiouscamera.com/) - Free Life Hi-Fi Photos for use on your personal and commercial projects. New photo every day.
* [Gratisography](http://www.gratisography.com/) - Free high-resolution pictures you can use on your personal and commercial projects. New pictures added weekly.
* [Jay Mantri](http://jaymantri.com/) - Free pics. Do anything. Make magic.
* [Jéshoots](http://jeshoots.com/) - Photos for business or personal use in high resolution for free.
* [Life of Pix](http://www.lifeofpix.com/) - Free high-resolution photos, no copyright restrictions. Photographs added weekly.
* [Little Visuals](http://littlevisuals.co/) - Hi-res images zipped up in your inbox. Use them anyway you want.
* [Lock & Stock Photos](http://lockandstockphotos.com/) - Free stock photos for you.
* [Magdeleine](http://magdeleine.co/browse/) - A selection of free photos curated by [Magdeleine](https://twitter.com/MagdeleinePhoto).
* [MMT](http://mmt.li/) - New photos by [Jeffrey Betts](http://jeffreybetts.me/) added every week.
* [Moveast](http://moveast.me/) - This is a journey of a Portuguese guy moving.
* [Negative Space](http://negativespace.co/) - Stock photos added every week.
* [Pexels](http://www.pexels.com/) - Daily 10 new high-quality photos.
* [Photo Collections](http://photocollections.io/) - Free stock photography of architecture, nature and people.
* [Photo Crops](http://www.photocrops.com/) - Five high resolution photos added every week, sometimes more.
* [Pickle Jar](http://picklejar.in/) - High-resolution images of everyday india. One new image every day.
* [Pixabay](https://pixabay.com) - Stock photos, illustrations, vectors and videos.
* [Realistic Shots](http://realisticshots.com/) - 7 new photos added every week.
* [Skitter Photo](http://skitterphoto.com/) - Public domain pictures and stock photos for commercial use.
* [Snapwire Snaps](http://snapwiresnaps.tumblr.com/) - Commissioned photos from 170,000 of the world's most talented photographers.
* [SpaceX Photos](https://www.flickr.com/photos/spacexphotos/) - Promotional SpaceX stock photography.
* [Splashbase](http://www.splashbase.co/) - Search & discover free, hi res photos & videos.
* [Stock Image Point](http://www.stock-image-point.com/) - Free stock photos. 20 pictures added every month.
* [Stocksnap](https://stocksnap.io/) - Hundreds of high resolution images added weekly.
* [Stokpic](http://stokpic.com/) - Free Stock Photos For Commercial Use.
* [The Pic Pac](https://thepicpac.com/) - New pacs on Monday, free pics Tuesday - Sunday.
* [Travel Coffee Book](http://travelcoffeebook.com/) - Travel photography.
* [Unsplash](https://unsplash.com/) - User submitted, free high-resolution photos. 10 new photos every 10 days.

### Custom License / Usage

These following photography resources are those who have declared their own usage and restriction terms. These can be found by clicking the *(license)* link next to the resource.

* [Bara Art](http://www.bara-art.com/) - [:copyright:](http://www.bara-art.com/about/) The world always needs high quality photography! Here they are for you, so make something awesome out of them.
* [Death to the Stock Photo](http://join.deathtothestockphoto.com/) - [:copyright:](http://www.mediafire.com/view/2ifplcw682487nz/Death_to_the_Stock_Photo_-_Photograph_End_User_License_%281-2014%29_%281%29.pdf) Free monthly photos for all your creative needs.
* [Designer Pics](http://www.designerspics.com/) - [:copyright:](http://www.designerspics.com/faq-and-terms/) Free photographs for personal and commercial by [Jeshu John](https://twitter.com/jeshujohn).
* [Foodies Feed](http://foodiesfeed.com) - Free food based images. [:copyright:](https://foodiesfeed.com/faq/).
* [Good Stock Photos](https://goodstock.photos/) - [:copyright:](https://goodstock.photos/about/) One free to use photo added everyday.
* [ISO Republic](http://isorepublic.com/) - [:copyright:](http://isorepublic.com/terms) ISO Republic provides exclusive free stock photos for creatives.
* [Kaboom Pics](http://kaboompics.com/) - [:copyright:](http://kaboompics.com/terms) Great place to get breathtaking Free Pictures for business or personal projects.
* [morgueFile](https://www.morguefile.com/archive) - [:copyright:](https://www.morguefile.com/archive) Free photo archive by creatives, for creatives.
* [Pic Jumbo](http://picjumbo.com/) - [:copyright:](https://picjumbo.com/faq-and-terms/) Totally free photos for your commercial & personal works.
* [Picography](http://picography.co/) - [:copyright:](http://picography.co/terms/) Free hi-resolution photos. Use them however you like.
* [Shutteroo](http://shutteroo.com/) - [:copyright:](http://shutteroo.com/about/) Free high-resolution travel images.
* [Split Shire](http://splitshire.com/) - [:copyright:](http://www.splitshire.com/about/) Real photos for commercial use with no copyright restrictions and a real look.
* [Startup Stock Photos](http://startupstockphotos.com/) - [:copyright:](http://startupstockphotos.com/terms-of-use) Startup based photography.
* [Tookapic](https://stock.tookapic.com/?filter=free) - [:copyright:](https://tookapic.com/terms) Free listing from Tookapic.

### Public Domain

A collection of links to public domain photography resources.

* [Flickr Commons](https://www.flickr.com/commons) - [:copyright:](https://www.flickr.com/commons/usage/) Flickr's catalogue of the worlds public photo archives.
* [New Old Stock](http://nos.twnsnd.co/) - [:copyright:](http://nos.twnsnd.co/rights-and-usage) Vintage photos from the public archive. of known copyright restrictions.
* [Project Apollo Archive](https://www.flickr.com/people/projectapolloarchive/) - [:copyright](https://creativecommons.org/publicdomain/mark/1.0/) High-resolution Apollo imagery scanned by NASA's Johnson Space Center.
* [Public Domain Archive](http://publicdomainarchive.com/) - [:copyright:](https://creativecommons.org/publicdomain/zero/1.0/) New stock photos every single week.

### Attribution Required licenses

The photographs on the following resources require Attribution unless otherwise stated on the website itself. These use a mixture of license, all of which have been linked to next to them.

* [Albumarium](http://albumarium.com/) - [:copyright:](http://albumarium.com/terms) The "best" place to find & share beautiful images.
* [BucketListly](http://photos.bucketlistly.com/) - A free creative common collection of travel photos anyone can use.
* [IM Creator](http://www.imcreator.com/free) - Also includes Website templates and icons. Some ([CC0-licensed](https://creativecommons.org/publicdomain/zero/1.0/)) works, check the license before use.
* [NASA Jet Propulsion Laboratory](http://www.jpl.nasa.gov/spaceimages/) - [:copyright:](http://www.jpl.nasa.gov/imagepolicy/) Graphics and photos of space and spaceflight.
* [Raumrot](http://raumrot.com/) - ([:copyright:](http://creativecommons.org/licenses/by/2.0/)) Handpicked stock photos for your commercial and personal works.
* [Superfamous](http://images.superfamous.com/) - [:copyright:](http://creativecommons.org/licenses/by/3.0/) Superfamous CC BY 3.0 licensed images by [Folkert Gorter](https://twitter.com/folkertgorter).
* [Women of Color in Tech](https://www.flickr.com/photos/wocintechchat/) - [:copyright:](http://creativecommons.org/licenses/by/2.0/) Licensed picture from Women of Color in Tech.

### Unspecified License

These resources haven't specified any formal terms of use or licenses.

* [Freejpg](http://en.freejpg.com.ar/) - Free image bank for commercial and editorial use.
* [Nobl Web](http://www.noblweb.com/) - do as you please, high-resolution photos and textures.
* [Peekspace](http://peek.space/) - Curated free-to-use space photography.
* [Re:splashed](http://www.resplashed.com/) - 670 (and counting) free HD images for your web and design projects.
* [Refe Real Life Photos](http://getrefe.tumblr.com/) - Free real life photos from [REFE](http://getrefe.com/).
* [Trunklog](http://trunklog.com/) - A collection of photos from photographer [Magnus Jälthammar](https://twitter.com/jalthammar).

## Illustration

A collection of illustration resources which contain a mixture of historical archive, contemporary and public domain assets.

* [British Library Illustration Archive](https://www.flickr.com/photos/britishlibrary/) - [:copyright:](http://www.bl.uk/aboutus/terms/copyright/index.html) The British Library’s collections on Flickr Commons offer access to millions of public domain images.
* [Old Book Illustrations](http://www.oldbookillustrations.com/) - [:copyright:](http://www.oldbookillustrations.com/terms-of-use/) A massive collection of illustrations from old books.

## Vector Graphics

A collection of resources which contain stock graphical elements which don't fit in the other sections.

* [Freepik](http://www.freepik.com/) - [:copyright:](http://www.freepik.com/terms_of_use) Find free vectors, PSD, icons and photos.

## Videos

A selection of websites offering high quality video stock.

* [Coverr](http://coverr.co/) - [:copyright:](https://creativecommons.org/publicdomain/zero/1.0/) Beautiful, free, CC0 licensed videos for your homepage. 7 new videos every Monday.
* [Distill](http://www.wedistill.io/) - Curated HD Video Free For Your Personal and Commercial Use. 10 free HD videos every 10 days.
* [Life of Vids](http://www.lifeofvids.com/) - [:copyright:](http://creativecommons.org/publicdomain/zero/1.0/) Free royalty-free videos, clips & loops.
* [Mazwai](http://mazwai.com/) - Great collection of free creative commons HD video clips & footages. Check each video for licensing terms.
* [Pexels Videos](https://videos.pexels.com/) - [:copyright:](https://creativecommons.org/publicdomain/zero/1.0/) Completely free, CC0 licensed stock videos.
* [Vidsplay](http://www.vidsplay.com/) - [:copyright:](http://www.vidsplay.com/terms.html) Free HD stock footage (Attribution required).

## Patterns

A mixture of CSS and image based pattern resources.

* [CSS3 Patterns Gallery](http://lea.verou.me/css3patterns/) - CSS3 based repeatable patterns.
* [Subtle Patterns](http://subtlepatterns.com/) - Image based background textures and patterns.
* [The Pattern Library](http://thepatternlibrary.com/) - A collection of bold, bright and funky repeatable patterns.
* [UI Gradients](http://uigradients.com/) - Nice, subtle linear gradients to use in your designs.

## Fonts

A mixture of free and open source font resources.

* [Beautiful Web Type](http://hellohappy.org/beautiful-web-type/) - A showcase of the best typefaces from the Google web fonts directory.
* [Brick](https://github.com/alfredxing/brick) - Webfonts that actually look good.
* [Debian Fonts](http://fonts.debian.net) - [:copyright:](https://www.debian.org/social_contract#guidelines) TTF fonts from the Debian repositories.
* [Font Fabric](http://www.fontfabric.com/category/free/) - Font Fabric's free fonts.
* [Font Squirrel](http://www.fontsquirrel.com) - Handpicked fonts free for commercial use.
* [Google Fonts](https://www.google.com/fonts) - Interactive directory of free hosted application programming interfaces for web fonts.
* [Impallari](http://www.impallari.com/) - Libre typeface projects by [Pablo Impallari](https://github.com/impallari).
* [The League of Movable Type](https://www.theleagueofmoveabletype.com/) - Open-source type foundry.
* [Type Genius](http://www.typegenius.com/) - Fantastic type pairing tool.

## Icons

### Icon Fonts

A collection for icon font resources, most of which also include SVGs, which can be used in your interface and website designs.

* [Appa Sariicon](http://code.sariina.com/appa-sariicon/) [:copyright:](http://scripts.sil.org/OFL) 147 8-bit retro style webfont icons for web and mobile
* [Batch Icons](http://adamwhitcroft.com/batch/) - [:copyright:](https://github.com/AdamWhitcroft/Batch/blob/master/License.txt) Icon set of 300+ icons, which is part of [inuit.css](https://github.com/csswizardry/inuit.css).
* [Flaticon](http://www.flaticon.com/) - [:copyright:](http://cdn.flaticon.com/license/license.pdf) - Almost 100,000 icons in SVG, PNG, EPS, PSD and Webfont. Most icons are available under attribution.
* [Font Awesome](http://fontawesome.io/) - [:copyright:](http://choosealicense.com/licenses/mit/) MIT licensed icon font.
* [Fontello](http://fontello.com/) - [:copyright:](https://github.com/fontello/fontello/wiki/What-about-license%3F) - Fontello is a tool to quickly pack vector images into webfonts. Also includes a section of stock icons.
* [Foundation Icon Fonts 3](http://zurb.com/playground/foundation-icon-fonts-3) - [:copyright:](http://choosealicense.com/licenses/mit/) An icon font from Zurb, the people behind the Foundation framework.
* [GLYPHICONS](http://glyphicons.com/) - [:copyright:](http://creativecommons.org/licenses/by/3.0/) The free set is released under Creative Commons Attribution 3.0 Unported (CC BY 3.0) license and require attribution.
* [IcoMoon](https://icomoon.io/) - [:copyright:](http://creativecommons.org/licenses/by/4.0/) Custom built and crisp icon fonts, done right.
* [Ionicons](http://ionicons.com/) - [:copyright:](http://choosealicense.com/licenses/mit/) The premium icon font for Ionic Framework. 100% free and open source.
* [Ligature Symbols](http://kudakurage.com/ligature_symbols/) - [:copyright:](http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL) Really clean icon set inlcuding all major topics.
* [Linea](http://www.linea.io/) - [:copyright:](http://creativecommons.org/licenses/by/4.0/) A free outline iconset featuring 730+ Icons.
* [Material Design Icons](https://www.google.com/design/icons/) - [:copyright:](https://creativecommons.org/licenses/by/4.0/) Google's Material Icons.
* [Octicons](https://octicons.github.com/) - [:copyright:](http://choosealicense.com/licenses/mit/) GitHub's Icons.
* [Open Iconic](https://useiconic.com/open) - [:copyright: (font)](http://scripts.sil.org/cms/scripts/page.php?item_id=OFL_web) [:copyright: (icons)](http://creativecommons.org/licenses/by-sa/3.0/) Icon set with 223 marks in SVG.
* [Social Stackicons](http://stackicons.com/) - [:copyright:](http://choosealicense.com/licenses/mit/) Icon set with over 60 social brands.
* [Topcoat Icons](https://github.com/topcoat/icons) - [:copyright:](http://www.apache.org/licenses/LICENSE-2.0) Icons by [Topcoat](http://topcoat.io/).
* [Typicons](http://typicons.com/) - [:copyright: (font)](http://scripts.sil.org/cms/scripts/page.php?item_id=OFL_web) [:copyright: (icons)](http://creativecommons.org/licenses/by-sa/3.0/) Rounded icon set with 336 icons.
* [WeLoveIconFonts](http://weloveiconfonts.com) – A free & open source icon fonts hosting service (like Google Web Fonts, but icon fonts only).

### Icons Packages and Collections

A collection for SVG icon resources which can be used in your interface and website designs.

* [Entypo](http://www.entypo.com/) - [:copyright:](http://creativecommons.org/licenses/by-sa/3.0/) Carefully crafted iconset by [Daniel Bruce](http://www.danielbruce.se/).
* [Geomicons Icons](http://geomicons.com/) - [:copyright:](http://choosealicense.com/licenses/mit/) Most basic icon set.
* [Iconmonstr](http://iconmonstr.com) - [:copyright:](http://iconmonstr.com/license/) A huge selection of icons in SVG and PNG format.
* [Maps Icon](https://github.com/djaiss/mapsicon) - [:copyright:](https://github.com/djaiss/mapsicon#license) Mapsicon is a free collection of maps for nearly every country in the world, available in 11 different sizes, ranging from 16x16 pixels to 1024x1024 pixels, as well as .svg format.
* [Material Design Icons](http://www.materialui.co/icons) - A collections of free, material design style icons.
* [Simple Icons](https://github.com/danleech/simple-icons) - [:copyright:](http://artlibre.org/licence/lal/en/) SVG icons for popular brands.
* [The Noun Project](https://thenounproject.com/) - [:copyright:](https://thenounproject.com/accounts/pricing/) Over 150,000 icons designed by creators from around the world. Free users must give credit to the creator.

## Colors

A selection of websites offering color schemes.

* [0to255](http://www.0to255.com/) - A simple tool that helps web designers find variations of any color.
* [Bootflat](http://bootflat.github.io/color-picker.html) - Bootflat Flat UI color picker is a project digging the Flat Color Picker which gives you the perfect colors for flat designs.
* [Brand Colors](http://brandcolors.net/) - Official color codes for the world's biggest brands.
* [Coleure](https://www.coleure.com/palettes/35847/edit) - Simple app for grabbing & tweaking colors you see on screen.
* [Color Hunt](http://colorhunt.co/) - A place to discover, create, and share color palettes.
* [Colorful Gradients](http://colorfulgradients.tumblr.com/) - Gradients automatically created by a computer. 48 times daily.
* [Colour Lovers](http://www.colourlovers.com) - A creative community where people from around the world create and share colors, palettes and patterns.
* [Coolors](https://coolors.co/) - The super fast color schemes generator for cool designers.
* [Flat UI Color Picker](http://www.flatuicolorpicker.com/) - A copy and paste resource for colors commonly found in 'flat' designs.
* [Flat UI Colors](https://flatuicolors.com/) - Flat color picker which gives you the perfect colors for flat designs.
* [Material Design Colors](http://www.materialui.co/colors) - Material ui color palette for Android, Web & iOS.
* [Material Palette](http://www.materialpalette.com/) - Generate & export your Material Design color palette.

## Aggregated Content

A liberal mixture of content aggregated from other free resources and made available at one central point.

* [All The Free Stock](http://allthefreestock.com) - One stop resource for free stock images, videos, sounds and more.
* [Libre Stock](http://librestock.com/) - Search engine for stock photo websites.
* [Stock Up](http://www.sitebuilderreport.com/stock-up) - Searching 9,301 (and counting) free stock photos across 25 websites.

## HTML Templates

Various different websites offering free HTML templates and themes.

* [Bootswatch](http://bootswatch.com/) - [:copyright:](https://github.com/thomaspark/bootswatch/blob/gh-pages/LICENSE) Free themes for Bootstrap.
* [HTML5 Up](http://html5up.net/) - [:copyright:](http://html5up.net/license) HTML5 UP makes spiffy HTML5 site templates.
* [Templated](http://templated.co/) - [:copyright:](http://templated.co/license) A collection of 850 free CSS and HTML5 site templates, designed & built by Cherry + AJ and released under the Creative Commons.

## Sounds & Music

Free resources for stock sound and music to be used on creative projects

* [Bensound](http://www.bensound.com) - [:copyright:](http://www.bensound.com/licensing) Royalty free music by Bensound.
* [Free Loops](http://free-loops.com) - [:copyright:](http://free-loops.com/creative-commons-audio.php) Free loops and audio clip.
* [Free Music Archive](http://freemusicarchive.org/) - [:copyright:](http://creativecommons.org/) An interactive library of high-quality, legal audio downloads directed by [WFMU](http://wfmu.org/), the most renowned freeform radio station in America.
* [Freesound](http://www.freesound.org) - [:copyright:](http://www.freesound.org/help/about/) Collaborative database of audio snippets, samples, recordings and bleeps.
* [Internet Archive’s Netlabels Collection](http://www.archive.org/details/netlabels) - [:copyright:](http://creativecommons.org/) Netlabels collection hosts complete, freely downloadable/streamable.
* [Jamendo](https://www.jamendo.com/start) - [:copyright:](http://creativecommons.org/) Independent music community with a large collect of creative commons licensed music.
* [Opsound](http://www.sectionz.com/cc.asp) - [:copyright:](http://creativecommons.org/) Free music from a community of musicians.
* [SoundBible](http://soundbible.com) - [:copyright:](http://soundbible.com/about.php) Thousands of free sound effects, sound clips, and straight up sounds.

## Paid Resources

And last, but not least, a selection of the best paid stock resources.

* [Adobe Stock](https://stock.adobe.com/) - Photos, Illustrations, Vectors.
* [Fotolia](https://fotolia.com/) - Photos, Illustrations, Vectors, Videos.
* [Inky Deals](https://www.inkydeals.com/) - Premium resources at insane discounts.
* [Shutterstock](http://www.shutterstock.com/) - Photos, Vectors, Editorial, Footages, Music.
* [Stocksy](http://www.stocksy.com/) - "Cliché-free" Photos.

## How to Contribute

Please read [CONTRIBUTING](/CONTRIBUTING.md).

## How to Share

* [Share on Twitter](http://twitter.com/home?status=https://github.com/neutraltone/awesome-stock-resources%0AAwesome%20Stock%20Resources)
* [Share on Facebook](http://www.facebook.com/sharer/sharer.php?s=100&p[url]=https://github.com/neutraltone/awesome-stock-resources&p[images][0]=&p[title]=Awesome%20Stock%20Resources&p[summary]=)
* [Share on Google Plus](https://plus.google.com/share?url=https://github.com/neutraltone/awesome-stock-resources)
* [Share on LinkedIn](http://www.linkedin.com/shareArticle?mini=true&url=https://github.com/neutraltone/awesome-stock-resources&title=Awesome%20Stock%20Resources&summary=&source=)

## Donate :heart:

And finally, if you appreciate this list and find it useful, please feel free to show your appreciation by donating some bitcoin to the following address:

1JreNWWxZokqxaPnBJPs8ctbUx6HniGP8Z

## License

[![CC0](https://i.creativecommons.org/p/zero/1.0/88x31.png)](https://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Tony Phipps](http://twitter.com/neutraltone) has waived all copyright and related or neighboring rights to this work.
